package performancemonster.helpers;

/**
 * Used to store application-wide settings.
 */
public class SystemProperties
{
  private static final SystemProperties INSTANCE = new SystemProperties();

  private String instrumentPath = "";

  private int portNumber = 4000;
  
  public static SystemProperties getInstance()
  {
    return INSTANCE;
  }
  
  public void setPortNumber(int portNumber)
  {
    this.portNumber  = portNumber;
  }
  
  public int getPortNumber()
  {
    return portNumber;
  }
  
  public void setInstrumentPath(String instrumentPath)
  {
    this.instrumentPath = instrumentPath;
  }
  
  public String getInstrumentPath()
  {
    return instrumentPath;
  }
}
