package performancemonster.helpers;

import performancemonster.graph.GraphElement;

public class MockFactory
{
  public static GraphElement createGraphElement(final String message,
      final String description, final String stackTrace, final long beginning,
      final long end)
  {
    return new GraphElement()
    {
      public String getMessage()
      {
        return message;
      }
  
      public String getDescription()
      {
        return description;
      }
  
      public String getStackTrace()
      {
        return stackTrace;
      }
  
      public long getBeginning()
      {
        return beginning;
      }
  
      public long getEnd()
      {
        return end;
      }
    };
  }
}
